## Fetch all livestreams `realtime_kit.livestreams.get_all_livestreams(strapp_id, LivestreamGetAllLivestreamsParams**kwargs) -> LivestreamGetAllLivestreamsResponse` **get** `/accounts/{account_id}/realtime/kit/{app_id}/livestreams` Returns details of livestreams associated with the given App ID. It includes livestreams created by your App and RealtimeKit meetings that are livestreamed by your App. If you only want details of livestreams created by your App and not RealtimeKit meetings, you can use the `exclude_meetings` query parameter. ### Parameters - `account_id: str` The account identifier tag. - `app_id: str` The app identifier tag. - `end_time: Optional[Union[str, datetime]]` Specify the end time range in ISO format to access the live stream. - `exclude_meetings: Optional[bool]` Exclude the RealtimeKit meetings that are livestreamed. - `page_no: Optional[int]` The page number from which you want your page search results to be displayed. - `per_page: Optional[int]` Number of results per page. - `sort_order: Optional[Literal["ASC", "DSC"]]` Specifies the sorting order for the results. - `"ASC"` - `"DSC"` - `start_time: Optional[Union[str, datetime]]` Specify the start time range in ISO format to access the live stream. - `status: Optional[Literal["LIVE", "IDLE", "ERRORED", "INVOKED"]]` Specifies the status of the operation. - `"LIVE"` - `"IDLE"` - `"ERRORED"` - `"INVOKED"` ### Returns - `class LivestreamGetAllLivestreamsResponse: …` - `data: Optional[Data]` - `id: Optional[str]` The ID of the livestream. - `created_at: Optional[datetime]` Timestamp the object was created at. The time is returned in ISO format. - `disabled: Optional[str]` Specifies if the livestream was disabled. - `ingest_server: Optional[str]` The server URL to which the RTMP encoder sends the video and audio data. - `meeting_id: Optional[str]` ID of the meeting. - `name: Optional[str]` Name of the livestream. - `paging: Optional[DataPaging]` - `end_offset: Optional[int]` - `start_offset: Optional[int]` - `total_count: Optional[int]` - `playback_url: Optional[str]` The web address that viewers can use to watch the livestream. - `status: Optional[Literal["LIVE", "IDLE", "ERRORED", "INVOKED"]]` - `"LIVE"` - `"IDLE"` - `"ERRORED"` - `"INVOKED"` - `stream_key: Optional[str]` Unique key for accessing each livestream. - `updated_at: Optional[datetime]` Timestamp the object was updated at. The time is returned in ISO format. - `success: Optional[bool]` ### Example ```python import os from cloudflare import Cloudflare client = Cloudflare( api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted ) response = client.realtime_kit.livestreams.get_all_livestreams( app_id="app_id", account_id="023e105f4ecef8ad9ca31a8372d0c353", ) print(response.data) ``` #### Response ```json { "data": { "id": "3fd739f4-3c41-456e-bfba-6ebd51e16d2d", "created_at": "2023-07-15T11:48:34.753Z", "disabled": "disabled", "ingest_server": "rtmps://live.cloudflare.com:443/live/", "meeting_id": "meeting_id", "name": "test", "paging": { "end_offset": 1, "start_offset": 1, "total_count": 1 }, "playback_url": "https://customer-s8oj0c1n5ek8ah1e.cloudflarestream.com/7de6a3fec0f9c05bf1df140950d3a237/manifest/video.m3u8", "status": "LIVE", "stream_key": "f26566285faca6fbe2e79a73a66rsrrsrrsr3cde23a2bb7dbc6c2c1761b98f4e4", "updated_at": "2023-07-15T11:48:34.753Z" }, "success": true } ```